html, body {
	padding: 0;
	margin: 0;
	height: 100%;
}
body {
	font-size: 14px;
	font-family: Arial, Helvetica, sans-serif;
	text-align: center;
}
h1{
	font-family: "Raleway", Helvetica;
	font-size: 2.5em;
	text-align: center;
	font-weight: 400;
	padding:  20px 0;
	background: #224e5e;
	color: #FFFFFF;
	margin: -20px 0;
}
/*Menu styling*/
.mobile_menu_button{
	display: none;
}
.mobile_menu_button img {
    width: 20px;
}
.back_to_site{
	display: none;
}
div#menu input[type=button] {
    float: left;
    background: none;
    border: none;
    margin-top: 25px;
    text-transform: uppercase;
    padding: auto 25px !important;
}
div#menu input[type=button]:hover{
	color: #ffffff;
	text-decoration: underline;
}
#menu {
	float: right;
}
#wrapper {
	text-align: left;
	margin: 0 auto;
	min-height: 100%;
	position: relative;
	padding-bottom: 20px;
}
/*Login Form Styling*/
form#loginform .evenrow, form#loginform .oddrow {
    background: #ffffff;
}
form#loginform table {
    border: 1px solid;
    margin: 40px auto;
}
form#loginform td {
    padding: 10px 20px;
    width: 0;
    border: none;
}
form#loginform .evenrow td{
    width: 1% !important;
    padding-top: 30px;
}
a.back_to_site{
	color: #ffffff;
	font-size: 16px;
    text-transform: uppercase;
    text-decoration: none;
    top: 50px;
    position: absolute;
    margin: 50px 40px;
}
/*Content Styling*/
input[type=button], input[type=submit], button, select {
	float: right;
    padding: 5px 20px;
    background: #a44f2b;
    color: #ffffff;
    font-size: 14px;
}
input[type=button]:hover, input[type=submit]:hover, button:hover {
	background: #843f22;
}
input[type=password], input[type=text]{
	height: 20px;
}
#content{
	padding: 20px 123px 20px 123px;
	margin: 40px 0;
}
#content table {
	width: 80%;
	margin: 0 auto;
	border-collapse: collapse;
}
#content .oddrow {
	background: #efefef;
}
#content .content {
	margin-left: 1.5em;
	border: 1px solid #BBBBBB;
}
#content .content table {
	width: 96%;
	margin: 20px;
}
#content .content .grouping {
	border-top: 1px dotted #BBBBBB;
}
#content .grouping .heading {
	padding-left: 1em;
	color: #a44f2b;
	font-size: 1.5em;
	background: url("../images/collapse.png") 6px 6px no-repeat;
	cursor: pointer;
}
#content .grouping .heading.collapsed {
	background-image: url("../images/expand.png");
}
#content .content .content {
	border-right: none;
}
b.description_text {
    float: left;
    padding-right: 5px;
}
img {
    display: block;
    margin: 0 auto;
    padding-top: 20px;
}
.grouping {
    padding: 10px 0;
}
.editarea textarea {
	width: 65% !important;
	height: auto !important;
}
/*.description_collapse:before{
	content:"Description ";
}*/
/*Table Styling*/
td{
	padding: 10px;
	width: 20px;
	border-right: 2px solid #ffffff;
	border-bottom: none !important;
}
td:nth-of-type(2){
    width: 17% !important;
}
td:nth-of-type(4){
    width: 10% !important;
}
td:nth-of-type(5){
    width: 7% !important;
}
tr.evenrow, tr:nth-of-type(even){
	background: #efefef;
}
tr.oddrow{
	background: #ffffff !important;
}
tfoot {
    border-top: 1px solid;
}
input.addfile {
    float: inherit;
    margin-left: 20px;
}
/*th {
    background: #ffffff !important;
}*/
/*table.sort form button {
    float: left;
    padding: 8px;
}*/
table.sort input {
    height: auto !important;
}
input[type=button].downloadfile, input[type=button].movefile, input[type=button].deletefile{
	background-repeat: no-repeat !important;
	border: none !important;
	color: #efefef;
	float: left;
}
input[type=button].downloadfile:hover, input[type=button].movefile:hover, input[type=button].deletefile:hover{
	color: #000000;
}
input[type=button].downloadfile{
	background: url("../images/download.png");
}
input[type=button].movefile{
	background: url("../images/move.png");
}
input[type=button].deletefile{
	background: url("../images/delete.png");
}
div#floatbox-box {
    text-align: left;
}
div#floatbox-box li {
    padding: 5px 0;
    font-size: 16px;
}
div#floatbox-box li a {
    color: #224e5e;
}
#floatbox-box table input {
    width: auto;
}
#floatbox-box td {
    width: 0 !important;
}
#floatbox-box {
	padding: 1em;
	-moz-border-radius: 1em;
	border: 5px solid #000000;
	position: fixed !important;
	top: 10% !important;
    max-height: 600px;
    overflow: auto;
}
#floatbox-box table {
	width: 80%;
	margin: 0 auto;
	text-align: left;
}
#floatbox-box table input, #floatbox-box table textarea {
	width: 100%;
}
input#addfile_name {
    border: 1px solid;
}
.edit_select button, .edit_select select {
    float: left;
}
.edit_select select {
    background: #ffffff;
    color: #000000;
}
.edit_select form button {
    float: right;
}
.edit_select form button:last-child {
    margin-top: -4px;
}
/*Categories Styling*/
table.categories form input, table.user_table input {
    width: auto !important;
    height: auto !important;
}
table.categories input[type=button] {
    width: 100%;
}
table.categories form button {
    float: none !important;
    padding: 4px 15px;
}
/*Edit Styling*/
table.user_table td {
    width: auto !important;
}
/*Footer Styling*/
#footer {
	text-align: center;
	background: #1a1c20;
	color: #ffffff;
	padding: 20px 0;
	position: absolute;
	left: 0;
	bottom: 0;
	right: 0;
}
#footer a {
    color: #ffffff;
}
.headerSortDown {
	background: url("../images/up.gif") center right no-repeat;
}
.headerSortUp {
	background: url("../images/down.gif") center right no-repeat;
}
/*Media Queries*/
@media only screen and (max-width: 1225px){
	/*Menu*/
	#main_menu_wrapper {
		display: none;
		position: fixed;
		right: 0;
		width: 200px;
		background: #224e5e;
		z-index: 11000;
	}
	#main_menu_wrapper {
		top: 155px;
		bottom: 0;
	}
	.mobile_menu_button {
		display: inline;
		padding: 25px 30px 0 0;
	} 
	.mobile_menu_button {
    	padding-left: 20px;
    	float: right;
	}
	.back_to_site{
		display: inline;
	}
	/*Login Form*/
	form#loginform #content table{
		width: 50% !important;
	}
	/*Categories Styling*/
	#content table.categories, #content table.user_table {
    	width: 100% !important;
	}
	table.categories input[type=button] {
	    width: auto;
	    float: none;
	    margin: 0 5px;
	}
}
@media only screen and (max-width: 1048px){
	#content {
    	padding: 40px;
	}
}
@media only screen and (max-width: 880px){
	/*Login Form*/
	#content form#loginform table{
		width: 100% !important;
	}
	/*Content*/
	#content{
		padding: 40px 0 50px 0;
		margin: 10px 20px;
	}
	#content .content{
		margin-left: 0;
	}
	#content .content table{
		margin: 0 auto;
	}
}
@media only screen and (max-width: 600px){
	/*General*/
	h1 {
    	text-align: left;
    	padding-left: 10px;
	}
	.mobile_menu_button{
		padding-right: 10px;
	}
	form#loginform td {
    	width: 90%;
	}
	form#loginform .evenrow td, form#loginform td:nth-of-type(2){
		width: 97% !important;
	}
	form#loginform .evenrow td{
		padding-top: 10px;
	}
	#loginform input[type="submit"] {
    	margin: 20px;
	}
	form#loginform td{
		padding: 5px 20px;
	}
	div#floatbox-box {
    	width: 90% !important;
    	margin-left: 0 !important;
    	left: 0 !important;
	}
/*	#floatbox-box table input{
		width: auto !important;
	}*/
	#floatbox-box td {
    	width: 90% !important;
	}
	#content .content table {
    	margin: 32px auto;
	}
	#content .content{
		border: none;
	}
	.grouping td:nth-of-type(1):before, .grouping td:nth-of-type(2):before, .grouping td:nth-of-type(3):before,.grouping td:nth-of-type(4):before, .grouping td:nth-of-type(5):before, .grouping td:nth-of-type(6):before, .grouping td:nth-of-type(7):before {
		font-weight: bold;
		float: left;
		padding-right: 5px;
	}
	td:nth-of-type(2), td:nth-of-type(4), td:nth-of-type(5){
		width: 100% !important;
	}
	td{
		border:none !important;
		position: relative;
		display: block;
		width: 97%;
		/*margin-bottom: -17px;*/
    	padding: 7px 0 20px 10px;
	}
	td.actions {
    	height: 20px !important;
	}
	thead{
		display: none;
	}
	.grouping td:nth-of-type(1):before { 
		content: "Filename: "; 
	}
	.grouping td:nth-of-type(2):before { 
		content: "Title: "; 
	}
	.grouping td:nth-of-type(3):before { 
		content: "Size: "; 
	}
	.grouping td:nth-of-type(4):before { 
		content: "Date Added: "; 
	}
	.grouping td:nth-of-type(5):before { 
		content: "Accesses: "; 
	}
	.grouping td:nth-of-type(6):before { 
		content: "Actions: "; 
	}
	.grouping td:nth-of-type(7):before { 
		content: "Download: "; 
	}
	.grouping tr.expand-child td:nth-of-type(1):before { 
		content: ""; 
	}
	.grouping tr.expand-child td:nth-of-type(2):before{
		content: "";
	}
	/*Access Logs*/
	.sort td:nth-of-type(1):before, #accessbody td:nth-of-type(2):before, #accessbody td:nth-of-type(3):before{
		font-weight: bold;
	}
	.sort td:nth-of-type(1):before{
		content: "Filename: ";
	}
	.sort td:nth-of-type(2):before{
		content: "Username: ";
	}
	.sort td:nth-of-type(3):before{
		content: "Accessed: ";
	}
	table.sort {
    	width: 100% !important;
    	margin: 20px auto;
	}
	/*Categories Styling*/
	.categories td:nth-of-type(1):before, .categories td:nth-of-type(2):before, .categories td:nth-of-type(3):before, .categories td:nth-of-type(4):before, .categories td:nth-of-type(5):before{
		font-weight: bold;
		float: left;
	}
	.categories td:nth-of-type(1):before{
		content: "Name: ";
	}
	.categories td:nth-of-type(2):before{
		content: "Sort: ";
	}
	.categories td:nth-of-type(3):before{
		content: "Sort Field: ";
	}
	.categories td:nth-of-type(4):before{
		content: "Sort Direction: ";
	}
	.categories td:nth-of-type(5):before{
		content: "Action: ";
	}
	/*User Table*/
	.user_table td:nth-of-type(1):before, .user_table td:nth-of-type(2):before, .user_table td:nth-of-type(3):before, .user_table td:nth-of-type(4):before, .user_table td:nth-of-type(5):before, .user_table td:nth-of-type(6):before{
		font-weight: bold;
	}
	.user_table td:nth-of-type(1):before{
		content: "Username: ";
	}
	.user_table td:nth-of-type(2):before{
		content: "Password: ";
	}
	.user_table td:nth-of-type(3):before{
		content: "Level: ";
	}
	.user_table td:nth-of-type(4):before{
		content: "Logins: ";
	}
	.user_table td:nth-of-type(5):before{
		content: "Last Login: ";
	}
	.user_table td:nth-of-type(6):before{
		content: "Action: ";
	}
}